import { ItemReorder } from '../item/item-reorder';
/**
 * @private
 */
export declare class ItemReorderGesture {
    list: ItemReorder;
    private selectedItemEle;
    private selectedItemHeight;
    private offset;
    private lastToIndex;
    private lastYcoord;
    private lastScrollPosition;
    private emptyZone;
    private windowHeight;
    private events;
    constructor(list: ItemReorder);
    private onDragStart(ev);
    private onDragMove(ev);
    private onDragEnd();
    private itemForCoord(coord);
    private scroll(posY);
    /**
     * @private
     */
    destroy(): void;
}
